Get one AI call in full
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid}/search/ai-calls/{id} \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/search/ai-calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/search/ai-calls/{id}"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"ai_call": {
"id": "<string>",
"source_kind": "trigger",
"source_id": "<string>",
"instance_id": "<string>",
"step": "<string>",
"model": "<string>",
"status": "ok",
"error": "<string>",
"input_tokens": 123,
"output_tokens": 123,
"tokens_estimated": true,
"latency_ms": 123,
"created_at": "2023-11-07T05:31:56Z",
"instructions_truncated": true,
"input_truncated": true,
"output_truncated": true,
"instructions": "<string>",
"input": "<string>",
"output": "<string>"
}
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Search
Get one AI call in full
The instructions, input and output of one AI call, as logged. Top-level alias: GET /admin/api/search/ai-calls/.
GET
/
admin
/
api
/
projects
/
{pid}
/
search
/
ai-calls
/
{id}
Get one AI call in full
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid}/search/ai-calls/{id} \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/search/ai-calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/search/ai-calls/{id}"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"ai_call": {
"id": "<string>",
"source_kind": "trigger",
"source_id": "<string>",
"instance_id": "<string>",
"step": "<string>",
"model": "<string>",
"status": "ok",
"error": "<string>",
"input_tokens": 123,
"output_tokens": 123,
"tokens_estimated": true,
"latency_ms": 123,
"created_at": "2023-11-07T05:31:56Z",
"instructions_truncated": true,
"input_truncated": true,
"output_truncated": true,
"instructions": "<string>",
"input": "<string>",
"output": "<string>"
}
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Project id (UUID) belonging to the caller workspace.
AI call id.
Response
The call.
Show child attributes
Show child attributes